Subject: git-note -C changes commit type?

From: Joachim Breitner <[email-masked]>
Date: Tue, 11 Feb 2014 17:23:27 +0000

Hi,

judging from the documentation I got the impression that I can pass any
git object has to "git note -C <hash>" and it would stored as-is. But it
seems the objects gets mangled somehow...

(I want to attach a commit object as a note, to reference the history of
a feature before the final cleanup rebase. For that I turn the reflog
into a series of commits, and the final commit is the one I want to
store there.)

$ mkdir foo
$ cd foo/
$ echo foo > a
$ git init
Initialisierte leeres Git-Repository in /tmp/foo/.git/
$ git add a
$ git commit -m 'A commit'
[master (Basis-Commit) 3d7de37] A commit
 1 file changed, 1 insertion(+)
 create mode 100644 a
$ echo foo2 > a
$ git commit -m 'A commit 2' -a
[master e1bfac4] A commit 2
 1 file changed, 1 insertion(+), 1 deletion(-)
$ git notes --ref history add -C 3d7de37 e1bfac4
$ git ls-tree notes/history
100644 blob 5b73d5152e6207e3a2b67e57ca3a2cb94d12061e e1bfac434ebd3135a3784f6fc802f235098eebd0

I was expecting 3d7de37 to be referenced here.

Is that a bug, or is storing commits as notes not supported?

Thanks,
Joachim

-- 
Joachim “nomeata” Breitner
  [email-masked] • http://www.joachim-breitner.de/
  Jabber: [email-masked]  • GPG-Key: 0x4743206C
  Debian Developer: [email-masked]